Bug#624310: closed by Mike Hommey <mh at glandium.org> (Re: Bug#624310: [libnss3-1d] Out of date copyright file)

Mike Hommey mh at glandium.org
Mon Jul 4 16:24:09 UTC 2011

On Mon, Jul 04, 2011 at 06:21:03PM +0200, Bastien ROUCARIES wrote:
> On Mon, Jul 4, 2011 at 2:07 PM, Mike Hommey <mh at glandium.org> wrote:
> >> > The NSS code is under 3 licenses, not only the GPL...
> >>
> >> No because you include 4 bsd it is illegal to license under GPL. Will
> >> send mail to legal.
> >
> > The DBM source code in nss is not licensed under GPL, but 4-clause BSD.
> > The NSS source is not licensed under GPL, but under MPL/GPL/LGPL. The
> > resulting binaries are licensed under whatever license is compatible,
> > which would probably be LGPL/MPL (though I'm not entirely sure for MPL).
> > That doesn't change the fact that the source is still MPL/GPL/LGPL
> > (except for dbm and a few other things), and that as such, you can use
> > some parts of nss in e.g.  GPL projects.
> >
> > I've always thought that the copyright file in binary packages
> > containing information about the copyright of the source was not the
> > best thing to do. We have here a specific case where it is confusing at
> > best. Not illegal.
> Yes but we could avoid this pitfall if we update the dbm file in order
> to be compatible with gpl. They are already released as a 3 BSD...
> Please improve this situation

The situation would need to be improved if nss was gpl only. It is not.


More information about the pkg-mozilla-maintainers mailing list